# Class JobStatePollError

### Hierarchy

- Error
  - JobStatePollError

### Constructors

- constructor

### Properties

- message
- name
- originalError
- stack
- Error

## Constructors

### constructor

- new JobStatePollError(id: string, originalError: Error): JobStatePollError

- - Defined in src/types/errors/JobStatePollError.ts:1

  #### Parameters

  - ##### id: string

  - ##### originalError: Error

  #### Returns JobStatePollError

## Properties

### message

message: string

Inherited from ComputeJobExecutionError.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:974

### name

name: string

Inherited from AuthorizeError.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:973

### originalError

originalError: Error

- Defined in src/types/errors/JobStatePollError.ts:2

### Optional stack

stack: undefined | string

Inherited from AuthorizeError.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:975

### Static Error

Error: ErrorConstructor

- Defined in node_modules/typescript/lib/lib.es5.d.ts:984

Generated using TypeDoc